<?php
/**
 * @version		1.0
 * @package		Joomla
 * @subpackage	Content
 * @author 		Whiletrue.it  http://www.whiletrue.it 
 * @copyright	Copyright (C) Whiletrue.it . All rights reserved.
 * @license		http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// Check to ensure this file is included in Joomla!
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport( 'joomla.plugin.plugin' );

/**
 * @package		Joomla
 * @subpackage	Content
 * @since 		1.5
 */
class plgContentDivSurroundingPost extends JPlugin
{

	/**
	 * @param object $subject The object to observe
	 * @param object $params  The object that holds the plugin parameters
	 */
	function plgContentDivSurroundingPost ( &$subject, $params )
	{
		parent::__construct( $subject, $params );
	}

	/**
	 * @param 	object		The article object.  Note $article->text is also available
	 * @param 	object		The article params
	 * @param 	int			The 'page' number
	 */
	function onContentPrepare($context, &$article, &$params, $limitstart )
	{
		global $mainframe;
		if ($this->params->get( 'enabled', 0 )) {
			return false;
		}
		$article->text = '<div class="div_surrounding_post">'.$article->text.'</div>';
		return true;
	}
}
